Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.platform.xml.jaxp
Class JAXPParser

`java.lang.Object
oracle.toplink.platform.xml.jaxp.JAXPParser`

All Implemented Interfaces:
  XMLParser

public class JAXPParser
extends java.lang.Object
implements XMLParser

Field Summary

Fields inherited from interface oracle.toplink.platform.xml.XMLParser
`DTD_VALIDATION, NONVALIDATING, SCHEMA_VALIDATION`

Constructor Summary
`JAXPParser()`

Method Summary
`org.xml.sax.EntityResolver` | `getEntityResolver()`
`org.xml.sax.ErrorHandler` | `getErrorHandler()`
`int` | `getValidationMode()`
`org.w3c.dom.Document` | `parse(java.io.File file)`
`org.w3c.dom.Document` | `parse(org.xml.sax.InputSource inputSource)`
`org.w3c.dom.Document` | `parse(java.io.InputStream inputStream)`
`org.w3c.dom.Document` | `parse(java.io.Reader reader)`
`org.w3c.dom.Document` | `parse(javax.xml.transform.Source source)`
`org.w3c.dom.Document` | `parse(java.net.URL url)`
`void` | `setEntityResolver(org.xml.sax.EntityResolver entityResolver)`
`void` | `setErrorHandler(org.xml.sax.ErrorHandler errorHandler)`
`void` | `setNamespaceAware(boolean isNamespaceAware)`
`void` | `setValidationMode(int validationMode)`
`void` | `setWhitespacePreserving(boolean isWhitespacePreserving)`
`void` | `setXMLSchema(java.net.URL url)`
`void` | `setXMLSchemas(java.lang.Object[] schemas)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JAXPParser

    public JAXPParser()

Method Detail

### setNamespaceAware

    public void setNamespaceAware(boolean isNamespaceAware)

  Specified by:
    `setNamespaceAware` in interface `XMLParser`

### setWhitespacePreserving

    public void setWhitespacePreserving(boolean isWhitespacePreserving)

  Specified by:
    `setWhitespacePreserving` in interface `XMLParser`

### getValidationMode

    public int getValidationMode()

  Specified by:
    `getValidationMode` in interface `XMLParser`

### setValidationMode

    public void setValidationMode(int validationMode)

  Specified by:
    `setValidationMode` in interface `XMLParser`

### getEntityResolver

    public org.xml.sax.EntityResolver getEntityResolver()

  Specified by:
    `getEntityResolver` in interface `XMLParser`

### setEntityResolver

    public void setEntityResolver(org.xml.sax.EntityResolver entityResolver)

  Specified by:
    `setEntityResolver` in interface `XMLParser`

### getErrorHandler

    public org.xml.sax.ErrorHandler getErrorHandler()

  Specified by:
    `getErrorHandler` in interface `XMLParser`

### setErrorHandler

    public void setErrorHandler(org.xml.sax.ErrorHandler errorHandler)

  Specified by:
    `setErrorHandler` in interface `XMLParser`

### setXMLSchema

    public void setXMLSchema(java.net.URL url)
                      throws XMLPlatformException

  Specified by:
    `setXMLSchema` in interface `XMLParser`
  Throws:
    `XMLPlatformException`

### setXMLSchemas

    public void setXMLSchemas(java.lang.Object[] schemas)
                       throws XMLPlatformException

  Specified by:
    `setXMLSchemas` in interface `XMLParser`
  Throws:
    `XMLPlatformException`

### parse

    public org.w3c.dom.Document parse(org.xml.sax.InputSource inputSource)
                               throws XMLPlatformException

  Specified by:
    `parse` in interface `XMLParser`
  Throws:
    `XMLPlatformException`

### parse

    public org.w3c.dom.Document parse(java.io.File file)
                               throws XMLPlatformException

  Specified by:
    `parse` in interface `XMLParser`
  Throws:
    `XMLPlatformException`

### parse

    public org.w3c.dom.Document parse(java.io.InputStream inputStream)
                               throws XMLPlatformException

  Specified by:
    `parse` in interface `XMLParser`
  Throws:
    `XMLPlatformException`

### parse

    public org.w3c.dom.Document parse(java.io.Reader reader)
                               throws XMLPlatformException

  Specified by:
    `parse` in interface `XMLParser`
  Throws:
    `XMLPlatformException`

### parse

    public org.w3c.dom.Document parse(javax.xml.transform.Source source)
                               throws XMLPlatformException

  Specified by:
    `parse` in interface `XMLParser`
  Throws:
    `XMLPlatformException`

### parse

    public org.w3c.dom.Document parse(java.net.URL url)
                               throws XMLPlatformException

  Specified by:
    `parse` in interface `XMLParser`
  Throws:
    `XMLPlatformException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD